Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.tools.schemaframework
Class ViewDefinition

`java.lang.Object
oracle.toplink.tools.schemaframework.DatabaseObjectDefinition
oracle.toplink.tools.schemaframework.ViewDefinition`

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class ViewDefinition
extends DatabaseObjectDefinition

Purpose: Allow for creation of views.

See Also:
  Serialized Form

Field Summary

Fields inherited from class oracle.toplink.tools.schemaframework.DatabaseObjectDefinition
`name, qualifier`

Constructor Summary
`ViewDefinition()`

Method Summary
`java.lang.String` | `getSelectClause()` The select clause is the select statement that is mapped into the view.
`void` | `setSelectClause(java.lang.String selectClause)` The select clause is the select statement that is mapped into the view.

Methods inherited from class oracle.toplink.tools.schemaframework.DatabaseObjectDefinition
`clone, getName, getQualifier, setName, setQualifier, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ViewDefinition

    public ViewDefinition()

Method Detail

### getSelectClause

    public java.lang.String getSelectClause()

  The select clause is the select statement that is mapped into the view. This is database specific SQL code.

### setSelectClause

    public void setSelectClause(java.lang.String selectClause)

  The select clause is the select statement that is mapped into the view. This is database specific SQL code.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD